Debian DSA-4331-1:curl - 安全性更新

critical Nessus Plugin ID 118720

語系:

新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 Debian 主機缺少安全性更新。

描述

在 URL 傳輸程式庫 cURL 中發現兩個弱點。- CVE-2018-16839 Harry Sintonen 發現在具有 32 位元 size_t 的系統上,使用長於 2GB 的 SASL 使用者名稱時可能會觸發整數溢位。這將導致系統配置一個非常小的緩衝區,而非預期的大型緩衝區,進而在使用該緩衝區時觸發堆緩衝區溢位。- CVE-2018-16842 Brian Carpenter 發現,curl 工具中用於在 80 欄處包裝錯誤資訊的邏輯存在一個缺陷,如果訊息中的單字本身長於 80 個位元組,則會導致讀取緩衝區溢位。

解決方案

升級 curl 套件。針對穩定的發行版本 (stretch),這些問題已在 7.52.1-5+deb9u8 版本中修正。

另請參閱

https://security-tracker.debian.org/tracker/CVE-2018-16839

https://security-tracker.debian.org/tracker/CVE-2018-16842

https://security-tracker.debian.org/tracker/source-package/curl

https://packages.debian.org/source/stretch/curl

https://www.debian.org/security/2018/dsa-4331

Plugin 詳細資訊

嚴重性: Critical

ID: 118720

檔案名稱: debian_DSA-4331.nasl

版本: 1.5

類型: local

代理程式: unix

已發布: 2018/11/5

已更新: 2021/4/29

相依性: ssh_get_info.nasl

風險資訊

VPR

風險因素: Medium

分數: 5.9

CVSS v2

風險因素: High

基本分數: 7.5

時間分數: 5.5

媒介: AV:N/AC:L/Au:N/C:P/I:P/A:P

時間媒介: E:U/RL:OF/RC:C

CVSS v3

風險因素: Critical

基本分數: 9.8

時間分數: 8.5

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:debian:debian_linux:curl, cpe:/o:debian:debian_linux:9.0

必要的 KB 項目: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2018/11/2

弱點發布日期: 2018/10/31

參考資訊

CVE: CVE-2018-16839, CVE-2018-16842

DSA: 4331